{services, ...}:

{
  security.acme.acceptTerms = true;
  security.acme.email = "giupi@giugl.io";

  services.nginx = {
    enable                   = true;
    recommendedGzipSettings  = true;
    recommendedOptimisation  = true;
    recommendedProxySettings = true;
    recommendedTlsSettings   = true;
    
    virtualHosts."giugl.io" = {
      default = true;
      enableACME = true;
      addSSL = true;
      root = "/var/lib/nginx/error_pages";
      extraConfig = "error_page 404 /index.htm;";

      locations = {
        "/" = {
          return = "404";
        };

        "/index.htm" = {
        };

        "/style.css" = {
        };

        "/wat.jpg" = {
        };
      };
    };
  };

  users.groups.acme.members = [ "nginx" ];
}
